package com.palmnest.application.dto.output.kafka;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 同步到子系统企业信息对象
 * @author wangxz
 *
 * 2018年12月18日
 */
public class KafkaOuterVirtualarchitecture implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -3577324367323794037L;
	private Integer id;
	private String name;
	private String type;  				//1-表示企业，2-表示部门
	private String code;
	private String parentCode;
	private String codeNumber;			//唯一编码
	private String customerNumber;		//客户编号
	private String phone;
	private String address;
	private String contacts;			//联系人
	private int employees;				//企业人数
	private Integer organizationId;		//项目ID
	private BigDecimal reserveBalance;  //预存款余额
	private String customerType;		//客户类型（1-VIP客户，0-普通客户）
	private String contractStatus;		//签约状态（1-已签约，0-未签约）
	private String status;				//企业状态（0-待审核，1-通过，2-不通过）
	private String reviewRemark;		//审核信息说明
	private Integer wxUserId;			//申请人的微信信息ID
	private String remark;
	private Date createTime;
	private String creator;
	private Date modifyTime;
	private String modifier;
	private String isEnabled;
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getParentCode() {
		return parentCode;
	}
	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}
	public String getCodeNumber() {
		return codeNumber;
	}
	public void setCodeNumber(String codeNumber) {
		this.codeNumber = codeNumber;
	}
	public String getCustomerNumber() {
		return customerNumber;
	}
	public void setCustomerNumber(String customerNumber) {
		this.customerNumber = customerNumber;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getContacts() {
		return contacts;
	}
	public void setContacts(String contacts) {
		this.contacts = contacts;
	}
	public int getEmployees() {
		return employees;
	}
	public void setEmployees(int employees) {
		this.employees = employees;
	}
	public Integer getOrganizationId() {
		return organizationId;
	}
	public void setOrganizationId(Integer organizationId) {
		this.organizationId = organizationId;
	}
	public BigDecimal getReserveBalance() {
		return reserveBalance;
	}
	public void setReserveBalance(BigDecimal reserveBalance) {
		this.reserveBalance = reserveBalance;
	}
	public String getCustomerType() {
		return customerType;
	}
	public void setCustomerType(String customerType) {
		this.customerType = customerType;
	}
	public String getContractStatus() {
		return contractStatus;
	}
	public void setContractStatus(String contractStatus) {
		this.contractStatus = contractStatus;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getReviewRemark() {
		return reviewRemark;
	}
	public void setReviewRemark(String reviewRemark) {
		this.reviewRemark = reviewRemark;
	}
	public Integer getWxUserId() {
		return wxUserId;
	}
	public void setWxUserId(Integer wxUserId) {
		this.wxUserId = wxUserId;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public Date getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	public String getIsEnabled() {
		return isEnabled;
	}
	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}
	
	
}
